Package com.ads.api.beans.sm

# Enum Class SMColumn.SMColumnType

java.lang.Object
java.lang.Enum<SMColumn.SMColumnType>
com.ads.api.beans.sm.SMColumn.SMColumnType

All Implemented Interfaces:
  `Serializable`, `Comparable<SMColumn.SMColumnType>`, `Constable`

Enclosing class:
  SMColumn

public static enum SMColumn.SMColumnType extends Enum<SMColumn.SMColumnType>
The constants of this enumerated type are used to specify the ColumnType such as Tables, Columns and Columns being treated as Tables.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENTITY`
  Entity SMColumnType is used to refer to the root element.Entity can be a table or node.
  `ENTITY_ATTRIBUTE`
  Entity_Attribute SMColumnType is used to refer to the specific columns or properties of a particular entity.Entity attribute can be a column.
  `ENTITY_ELEMENT`
  Entity_Element SMColumnType can be a property of the Entity which can have zero or more occurrences.
  `FIELD`
  FIELD SMColumnType can be a property of the COMPONENT which can have zero or more occurrences.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SMColumn.SMColumnType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SMColumn.SMColumnType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENTITY

    public static final SMColumn.SMColumnType ENTITY
    Entity SMColumnType is used to refer to the root element.Entity can be a table or node.

  - ### ENTITY_ATTRIBUTE

    public static final SMColumn.SMColumnType ENTITY_ATTRIBUTE
    Entity_Attribute SMColumnType is used to refer to the specific columns or properties of a particular entity.Entity attribute can be a column.

  - ### ENTITY_ELEMENT

    public static final SMColumn.SMColumnType ENTITY_ELEMENT
    Entity_Element SMColumnType can be a property of the Entity which can have zero or more occurrences.

  - ### FIELD

    public static final SMColumn.SMColumnType FIELD
    FIELD SMColumnType can be a property of the COMPONENT which can have zero or more occurrences.
    A Field provides information about, and dynamic access to, a component.

- ## Method Details

  - ### values

    public static SMColumn.SMColumnType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SMColumn.SMColumnType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null